summaryrefslogtreecommitdiffstats
path: root/source/l/libpsl/libpsl.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libpsl/libpsl.SlackBuild')
-rwxr-xr-xsource/l/libpsl/libpsl.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/source/l/libpsl/libpsl.SlackBuild b/source/l/libpsl/libpsl.SlackBuild
index ceeddc2d..4999d3a2 100755
--- a/source/l/libpsl/libpsl.SlackBuild
+++ b/source/l/libpsl/libpsl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libpsl
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,6 +78,8 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+zcat $CWD/libpsl.gtk-doc-1.30.patch.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \